Skip to main content
`Ctrl`+`K`

# NEPSLPGetDeflationThreshold

Returns the threshold value that controls deflation.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSLPGetDeflationThreshold(NEP nep,PetscReal *deftol)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- deftol - the threshold

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSLP`, `NEPSLPSetDeflationThreshold()`

## Level

advanced

## Location

src/nep/impls/slp/slp.c

## Implementations

NEPSLPGetDeflationThreshold_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages